package cs108;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class Sorter {
    public enum Order { ASCENDING, DESCENDING };
    public static void sort(List<Integer> l, Order o) {
        Collections.sort(l,
                ((o == Order.ASCENDING)
                        ? (o1, o2) -> Integer.compare(o1, o2)
                                : (o1, o2) -> Integer.compare(o2, o1)));
    }

    public static void main(String[] args) {
        List<Integer> l = Arrays.asList(1, 5, 2, 3, 7, 8);
        sort(l, Order.ASCENDING);
        System.out.println(l);
        sort(l, Order.DESCENDING);
        System.out.println(l);
    }
}
